{"models":[{"endpoint_id":"fal-ai/kling-video/o1/video-to-video/reference","metadata":{"display_name":"Kling O1 Reference Video to Video [Pro]","category":"video-to-video","description":"Kling O1 Omni generates new shots guided by an input reference video, preserving cinematic language such as motion, and camera style to produce seamless scene continuity.","status":"active","tags":[],"updated_at":"2026-04-26T22:25:17.147Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/koala/W2rN6g_nAeMqlL1W3IdOA_3cf3388f038944deabb311d5ccd584ba.jpg","model_url":"https://fal.run/fal-ai/kling-video/o1/video-to-video/reference","license_type":"commercial","date":"2025-12-01T11:25:09.487Z","group":{"key":"kling-video/o1","label":"Reference V2V [Pro]"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/o1/video-to-video/reference","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/o1/video-to-video/reference queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/o1/video-to-video/reference","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/koala/W2rN6g_nAeMqlL1W3IdOA_3cf3388f038944deabb311d5ccd584ba.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/o1/video-to-video/reference","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/o1/video-to-video/reference/api","about":"Generate a video from a reference video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoO1VideoToVideoReferenceInput":{"properties":{"image_urls":{"description":"Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.","title":"Image Urls","examples":[[]],"anyOf":[{"type":"array","items":{"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5},"ui":{"field":"image"}}},{"type":"null"}]},"aspect_ratio":{"enum":["auto","16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame. If 'auto', the aspect ratio will be determined automatically based on the input video, and the closest aspect ratio to the input video will be used.","title":"Aspect Ratio","type":"string","default":"auto"},"elements":{"description":"Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2, etc. Maximum 4 total (elements + reference images) when using video.","title":"Elements","examples":[[{"frontal_image_url":"https://v3b.fal.media/files/b/panda/MQp-ghIqshvMZROKh9lW3.png","reference_image_urls":["https://v3b.fal.media/files/b/kangaroo/YMpmQkYt9xugpOTQyZW0O.png","https://v3b.fal.media/files/b/zebra/d6ywajNyJ6bnpa_xBue-K.png"]}]],"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/OmniVideoElementInput"}},{"type":"null"}]},"enable_safety_checker":{"description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"duration":{"enum":["3","4","5","6","7","8","9","10"],"description":"Video duration in seconds.","title":"Duration","type":"string","default":"5"},"prompt":{"maxLength":2500,"description":"Use @Element1, @Element2 to reference elements and @Image1, @Image2 to reference images in order.","title":"Prompt","examples":["Based on @Video1, generate the next shot. keep the style of the video"],"type":"string"},"video_url":{"description":"Reference video URL. Only .mp4/.mov formats supported, 3-10 seconds duration, 720-2160px resolution, max 200MB.\n\nMax file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 2160px, Max height: 2160px, Min duration: 3.0s, Max duration: 10.05s, Min FPS: 24.0, Max FPS: 60.0, Timeout: 30.0s","x-fal":{"max_height":2160,"min_width":720,"min_fps":24,"timeout":30,"max_fps":60,"max_width":2160,"max_file_size":209715200,"max_duration":10.05,"min_height":720,"min_duration":3},"title":"Video Url","examples":["https://v3b.fal.media/files/b/panda/oVdiICFXY03Vbam-08Aj8_output.mp4"],"type":"string"},"keep_audio":{"description":"Whether to keep the original audio from the video.","title":"Keep Audio","type":"boolean","default":false}},"description":"Input for video editing or video-as-reference generation.","title":"OmniV2VReferenceInput","required":["prompt","video_url"],"x-fal-order-properties":["enable_safety_checker","prompt","video_url","keep_audio","image_urls","elements","aspect_ratio","duration"],"type":"object"},"KlingVideoO1VideoToVideoReferenceOutput":{"properties":{"video":{"description":"The generated video.","examples":[{"file_size":28472159,"file_name":"output.mp4","content_type":"video/mp4","url":"https://v3b.fal.media/files/b/kangaroo/3n_Lpxm_SjK5NYyBobRdS_output.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"OmniV2VReferenceOutput","x-fal-order-properties":["video"],"type":"object"},"OmniVideoElementInput":{"properties":{"frontal_image_url":{"description":"The frontal image of the element (main view).\n\nMax file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5},"title":"Frontal Image Url","type":"string"},"reference_image_urls":{"description":"Additional reference images from different angles. 1-3 images supported. At least one image is required.","title":"Reference Image Urls","type":"array","items":{"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5}}}},"required":["frontal_image_url"],"title":"OmniVideoElementInput","x-fal-order-properties":["frontal_image_url","reference_image_urls"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/kling-video/o1/video-to-video/reference/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/video-to-video/reference/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/o1/video-to-video/reference":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1VideoToVideoReferenceInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o1/video-to-video/reference/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO1VideoToVideoReferenceOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/hunyuan-video-foley","metadata":{"display_name":"Hunyuan Video Foley","category":"video-to-video","description":"Use the capabilities of the hunyuan foley model to bring life to your videos by adding sound effect to them.","status":"active","tags":["video-to-video","add-sound"],"updated_at":"2026-06-24T11:36:01.590Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92ce/ZyOMewmHv9GF7a1sO8-aE_V2SR2PRo.png","model_url":"https://fal.run/fal-ai/hunyuan-video-foley","license_type":"commercial","date":"2025-09-08T16:50:54.317Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/hunyuan-video-foley","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/hunyuan-video-foley queue.","x-fal-metadata":{"endpointId":"fal-ai/hunyuan-video-foley","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92ce/ZyOMewmHv9GF7a1sO8-aE_V2SR2PRo.png","playgroundUrl":"https://fal.ai/models/fal-ai/hunyuan-video-foley","documentationUrl":"https://fal.ai/models/fal-ai/hunyuan-video-foley/api","about":"Generate Foley Audio"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HunyuanVideoFoleyInput":{"properties":{"guidance_scale":{"default":4.5,"minimum":1,"title":"Guidance Scale","description":"Guidance scale for audio generation.","maximum":10,"type":"number"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducible generation."},"negative_prompt":{"default":"noisy, harsh","title":"Negative Prompt","description":"Negative prompt to avoid certain audio characteristics.","type":"string"},"text_prompt":{"examples":["A person walks on frozen ice","The crackling of fire and whooshing of flames","Gentle footsteps on wooden floor"],"title":"Text Prompt","description":"Text description of the desired audio (optional).","type":"string"},"video_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/video_models/1_video.mp4"],"title":"Video Url","description":"The URL of the video to generate audio for.","type":"string"},"num_inference_steps":{"default":50,"minimum":10,"title":"Num Inference Steps","description":"Number of inference steps for generation.","maximum":100,"type":"integer"}},"title":"HunyuanFoleyRequest","x-fal-order-properties":["video_url","text_prompt","negative_prompt","enable_safety_checker","guidance_scale","num_inference_steps","seed"],"required":["video_url","text_prompt"],"type":"object"},"HunyuanVideoFoleyOutput":{"properties":{"video":{"description":"List of generated video files with audio.","$ref":"#/components/schemas/File"}},"title":"HunyuanFoleyResponse","x-fal-order-properties":["video"],"required":["video"],"type":"object"},"File":{"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object"}}},"paths":{"/fal-ai/hunyuan-video-foley/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-foley/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/hunyuan-video-foley":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoFoleyInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/hunyuan-video-foley/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HunyuanVideoFoleyOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/render-to-real","metadata":{"display_name":"Ltx 2.3 Quality","category":"video-to-video","description":"Transform your 3D video render into realistic using first frame with Ltx 2.3","status":"active","tags":["3d","video",""],"updated_at":"2026-10-20T22:55:45.995Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9fdb29/iPbd8mqyEuUWSezRYmUgX.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/render-to-real","license_type":"commercial","date":"2026-06-26T14:41:13.532Z","group":{"key":"ltx-2.3-quality","label":"3d render to real"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/render-to-real","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/render-to-real queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/render-to-real","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9fdb29/iPbd8mqyEuUWSezRYmUgX.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/render-to-real","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/render-to-real/api","about":"Turn a stylized 3D / CG / game render into photorealistic footage.\n\nShares the effect IC-LoRA machinery (raw render into the Union Control\nguide, render-to-real adapter on node 5011, size auto from the render\ncapped to the stable IC-LoRA budget), plus an optional first-frame image\nanchor (image-to-video) matching training. The caller writes the prompt\n(starting with the ``3DREAL`` trigger). Prompt expansion runs when the\ncaller enables it, but the ``3DREAL`` trigger is always guaranteed in the\nfinal prompt (which is returned in the output)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityRenderToRealInput":{"properties":{"intensity":{"default":"light","title":"Intensity","enum":["light","strong","strong-v2"],"description":"How hard to push the render toward photorealism. 'light' keeps more of the source render's look and motion; 'strong' transforms more aggressively for a more photoreal result; 'strong-v2' is the newest improved adapter (better multi-scene coherence, audio, talking characters, and higher overall quality).","type":"string"},"prompt":{"default":"3DREAL. ","examples":["3DREAL. Make it a detailed realistic 3D render. A sleek, futuristic hoverbike with glowing blue lights speeds down a multi-lane highway, leaving a trail of orange exhaust."],"title":"Prompt","description":"The text prompt, pre-filled with the `3DREAL` trigger the adapter activates on. Describe the photorealistic result after it. The `3DREAL` trigger is always kept, even if you clear it or enable prompt expansion.","type":"string"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Whether to enable the safety checker.","type":"boolean"},"enable_prompt_expansion":{"default":false,"title":"Enable Prompt Expansion","description":"When enabled, an AI model expands your prompt into a richer description before generation (off by default sends it as written). The `3DREAL` trigger is always kept, and the final prompt used is returned in the output.","type":"boolean"},"frames_per_second":{"default":24,"minimum":1,"title":"FPS","description":"Frames per second of the generated video.","maximum":60,"type":"number"},"video_url":{"examples":["https://v3b.fal.media/files/b/0a8824b1/sdm0KfmenrlywesfzY1Y1_if6euPp1.mp4"],"title":"Video URL","description":"The URL of the 3D / CG / game render to make photorealistic.","type":"string"},"sync_mode":{"default":false,"title":"Sync Mode","description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean"},"video_write_mode":{"default":"balanced","title":"Video Write Mode","enum":["fast","balanced","small"],"description":"The write mode of the generated video.","type":"string"},"num_frames":{"default":121,"minimum":9,"title":"Number of Frames","description":"The number of output frames. Output duration is num_frames / frames_per_second. The IC-LoRA control budget caps the resolution x frames volume: roughly 6s at 720p or 15s at 480p; a request above it returns a 422 (lower num_frames, or use 480p).","maximum":481,"type":"integer"},"guidance_scale":{"default":1,"minimum":1,"title":"Guidance Scale","description":"Classifier-free guidance scale. The default is tuned for fast, high-quality generation.","maximum":20,"type":"number"},"enable_detail_refine":{"default":false,"title":"Enable Detail Refine","description":"Add a second refinement stage for a sharper, higher-resolution result. After the base pass the video latent is 2x latent-upscaled (spatial upscaler) and refined by a short detailer pass on the distilled model. NOTE: this doubles the output width AND height (4x the pixels), so the request costs roughly 4X THE PRICE and is slower. Off by default.","type":"boolean"},"generate_audio":{"default":true,"title":"Generate Audio","description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean"},"negative_prompt":{"default":"color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards","title":"Negative Prompt","description":"The negative prompt to steer generation away from.","type":"string"},"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"First Frame Image URL","description":"Optional reference image used as the FIRST frame (image-to-video anchor), matching how the adapter was trained. It defines the photoreal look of frame 0; leave empty to let the render alone drive the result."},"detail_refine_strength":{"default":0.75,"minimum":0.3,"title":"Detail Refine Strength","description":"Denoise strength of the detailer pass, used only when enable_detail_refine is on. Higher regenerates more detail (and can drift further from the base); lower is a lighter touch that stays closer to the base. Default 0.75.","maximum":0.95,"type":"number"},"video_quality":{"default":"high","title":"Video Quality","enum":["low","medium","high","maximum"],"description":"The quality preset of the generated video.","type":"string"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen."},"resolution":{"default":"720p","title":"Resolution","enum":["480p","720p"],"description":"Output resolution (short side), preserving the source aspect ratio. The IC-LoRA control path caps the resolution x frames volume, so resolution trades against duration: 720p allows up to ~6s (sharper), 480p up to ~15s (softer but longer). A request above the budget is rejected with a clear error — pick 480p for longer clips. Output duration is num_frames / frames_per_second.","type":"string"},"num_inference_steps":{"default":15,"minimum":8,"title":"Number of Inference Steps","description":"Number of inference steps. Defaults to 15 and can be increased up to 30.","maximum":30,"type":"integer"}},"title":"LTX23QualityRenderToRealInput","x-fal-order-properties":["video_url","image_url","intensity","enable_detail_refine","detail_refine_strength","prompt","resolution","num_frames","frames_per_second","num_inference_steps","guidance_scale","generate_audio","negative_prompt","enable_prompt_expansion","seed","enable_safety_checker","video_quality","video_write_mode","sync_mode"],"description":"Render-to-real: turn a stylized 3D / CG / game render into photorealistic\nfootage.\n\nThe source ``video_url`` (the render) is fed straight into the IC-LoRA guide\nand re-rendered as photorealistic live-action through the render-to-real\nadapter; an optional ``image_url`` anchors the FIRST frame (image-to-video),\nmatching how the adapter was trained. Output size follows the source video,\ncapped to the stable IC-LoRA budget. Runs on the distilled 8-step path; the\ncaller writes the ``prompt`` (pre-filled with the ``3DREAL`` trigger).\nOptional prompt expansion enriches it, and ``3DREAL`` is always kept; the\nfinal prompt used is returned in the output.","type":"object","required":["video_url"]},"Ltx23QualityRenderToRealOutput":{"properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"},"seed":{"title":"Seed","description":"The seed actually used for generation.","type":"integer"},"prompt":{"title":"Prompt","description":"The prompt used for generation (after any expansion).","type":"string"}},"title":"LTX23QualityOutput","x-fal-order-properties":["video","seed","prompt"],"description":"Standard output for every endpoint on this app.","type":"object","required":["video","seed","prompt"]},"File":{"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","required":["url"]}}},"paths":{"/fal-ai/ltx-2.3-quality/render-to-real/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/render-to-real/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/render-to-real":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityRenderToRealInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/render-to-real/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityRenderToRealOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/workflow-utilities/blend-video","metadata":{"display_name":"Workflow Utilities Blend Video","category":"video-to-video","description":"FFMPEG Utility for Blending Videos","status":"active","tags":[],"updated_at":"2026-04-21T17:56:36.327Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8d4652/nA4J52mF2zpuS-is8vBDo_b537d210dc294adb934ded2b30a61477.png","model_url":"https://fal.run/fal-ai/workflow-utilities/blend-video","license_type":"commercial","date":"2026-02-05T16:03:39.149Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/workflow-utilities/blend-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/workflow-utilities/blend-video queue.","x-fal-metadata":{"endpointId":"fal-ai/workflow-utilities/blend-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8d4652/nA4J52mF2zpuS-is8vBDo_b537d210dc294adb934ded2b30a61477.png","playgroundUrl":"https://fal.ai/models/fal-ai/workflow-utilities/blend-video","documentationUrl":"https://fal.ai/models/fal-ai/workflow-utilities/blend-video/api","about":"Blend two video frames together using various blend modes.\n\nUses FFmpeg's blend filter to combine two videos layer by layer.\nThe first input is the \"top\" layer and the second is the \"bottom\" layer.\nSupports blend modes like overlay, multiply, screen, and many more."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WorkflowUtilitiesBlendVideoInput":{"type":"object","required":["top_video_url","bottom_video_url"],"x-fal-order-properties":["top_video_url","bottom_video_url","blend_mode","opacity","shortest"],"description":"Input model for blending two video frames together","title":"BlendVideoInput","properties":{"shortest":{"type":"boolean","default":true,"description":"End output when the shortest input ends","title":"Shortest"},"top_video_url":{"examples":["https://storage.googleapis.com/falserverless/example_outputs/wan-25-i2v-output.mp4"],"type":"string","description":"URL of the top layer video","title":"Top Video Url","max_file_size":100000000},"bottom_video_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/kling/kling-v2.5-turbo-pro-image-to-video-output.mp4"],"type":"string","description":"URL of the bottom layer video","title":"Bottom Video Url","max_file_size":100000000},"opacity":{"maximum":1,"type":"number","default":1,"description":"Opacity of the top layer (0.0-1.0)","title":"Opacity","minimum":0},"blend_mode":{"type":"string","enum":["addition","average","burn","darken","difference","divide","dodge","exclusion","grainextract","grainmerge","hardlight","lighten","multiply","negation","normal","overlay","phoenix","pinlight","reflect","screen","softlight","subtract","vividlight"],"description":"Blend mode to use for combining the videos","title":"Blend Mode","default":"overlay"}}},"WorkflowUtilitiesBlendVideoOutput":{"type":"object","required":["video"],"x-fal-order-properties":["video"],"description":"Output model for blended video","title":"BlendVideoOutput","properties":{"video":{"examples":[{"file_name":"blended_output.mp4","file_size":3886177,"url":"https://v3b.fal.media/files/b/monkey/blended_output.mp4","content_type":"video/mp4"}],"description":"The blended video output","$ref":"#/components/schemas/File"}}},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/workflow-utilities/blend-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/blend-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/workflow-utilities/blend-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesBlendVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/blend-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesBlendVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/heygen/v2/translate/speed","metadata":{"display_name":"Heygen","category":"video-to-video","description":"Heygen Translate Model with Extreme Speed","status":"active","tags":["video-to-video"],"updated_at":"2026-04-26T23:11:58.879Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a901479/nonDlddF3DvH0dOZvkmWy_16858ef8ab5d472381ffd575c5bf6d8d.jpg","model_url":"https://fal.run/fal-ai/heygen/v2/translate/speed","license_type":"commercial","date":"2026-02-23T18:39:44.788Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/heygen/v2/translate/speed","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/heygen/v2/translate/speed queue.","x-fal-metadata":{"endpointId":"fal-ai/heygen/v2/translate/speed","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a901479/nonDlddF3DvH0dOZvkmWy_16858ef8ab5d472381ffd575c5bf6d8d.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/heygen/v2/translate/speed","documentationUrl":"https://fal.ai/models/fal-ai/heygen/v2/translate/speed/api","about":"Translate videos using HeyGen's Speed mode (formerly Fast).\n\nOptimized for faster turnaround. Billed per second of output video ($0.0500/s)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HeygenV2TranslateSpeedInput":{"required":["video_url","output_language"],"x-fal-order-properties":["video_url","output_language","translate_audio_only","speaker_num","enable_dynamic_duration","brand_glossary_id","srt_url","srt_role","enable_caption"],"title":"TranslateVideoBaseRequest","description":"Base request for video translation without a mode field (mode is determined by the endpoint).","properties":{"speaker_num":{"title":"Speaker Num","description":"Number of speakers in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"translate_audio_only":{"default":false,"title":"Translate Audio Only","description":"Translate only the audio, ignore the faces and only translate the voice track","anyOf":[{"type":"boolean"},{"type":"null"}]},"srt_url":{"title":"Srt Url","description":"Optional URL of a custom SRT subtitle file.","anyOf":[{"type":"string"},{"type":"null"}]},"brand_glossary_id":{"title":"Brand Glossary Id","description":"HeyGen brand glossary ID for custom term translations.","anyOf":[{"type":"string"},{"type":"null"}]},"enable_dynamic_duration":{"default":true,"title":"Enable Dynamic Duration","description":"Enable dynamic duration to enhance conversational fluidity between languages with different speaking rates","anyOf":[{"type":"boolean"},{"type":"null"}]},"output_language":{"examples":["Spanish"],"title":"Output Language","description":"The target language to translate the video into","enum":["English","Spanish","French","Hindi","Italian","German","Polish","Portuguese","Chinese","Japanese","Dutch","Turkish","Korean","Danish","Arabic","Romanian","Mandarin","Filipino","Swedish","Indonesian","Ukrainian","Greek","Czech","Bulgarian","Malay","Slovak","Croatian","Tamil","Finnish","Russian","Afrikaans (South Africa)","Albanian (Albania)","Amharic (Ethiopia)","Arabic (Algeria)","Arabic (Bahrain)","Arabic (Egypt)","Arabic (Iraq)","Arabic (Jordan)","Arabic (Kuwait)","Arabic (Lebanon)","Arabic (Libya)","Arabic (Morocco)","Arabic (Oman)","Arabic (Qatar)","Arabic (Saudi Arabia)","Arabic (Syria)","Arabic (Tunisia)","Arabic (United Arab Emirates)","Arabic (Yemen)","Armenian (Armenia)","Azerbaijani (Latin, Azerbaijan)","Bangla (Bangladesh)","Basque","Bengali (India)","Bosnian (Bosnia and Herzegovina)","Bulgarian (Bulgaria)","Burmese (Myanmar)","Catalan","Chinese (Cantonese, Traditional)","Chinese (Jilu Mandarin, Simplified)","Chinese (Mandarin, Simplified)","Chinese (Northeastern Mandarin, Simplified)","Chinese (Southwestern Mandarin, Simplified)","Chinese (Taiwanese Mandarin, Traditional)","Chinese (Wu, Simplified)","Chinese (Zhongyuan Mandarin Henan, Simplified)","Chinese (Zhongyuan Mandarin Shaanxi, Simplified)","Croatian (Croatia)","Czech (Czechia)","Danish (Denmark)","Dutch (Belgium)","Dutch (Netherlands)","English (Australia)","English (Canada)","English (Hong Kong SAR)","English (India)","English (Ireland)","English (Kenya)","English (New Zealand)","English (Nigeria)","English (Philippines)","English (Singapore)","English (South Africa)","English (Tanzania)","English (UK)","English (United States)","Estonian (Estonia)","Filipino (Philippines)","Finnish (Finland)","French (Belgium)","French (Canada)","French (France)","French (Switzerland)","Galician","Georgian (Georgia)","German (Austria)","German (Germany)","German (Switzerland)","Greek (Greece)","Gujarati (India)","Hebrew (Israel)","Hindi (India)","Hungarian (Hungary)","Icelandic (Iceland)","Indonesian (Indonesia)","Irish (Ireland)","Italian (Italy)","Japanese (Japan)","Javanese (Latin, Indonesia)","Kannada (India)","Kazakh (Kazakhstan)","Khmer (Cambodia)","Korean (Korea)","Lao (Laos)","Latvian (Latvia)","Lithuanian (Lithuania)","Macedonian (North Macedonia)","Malay (Malaysia)","Malayalam (India)","Maltese (Malta)","Marathi (India)","Mongolian (Mongolia)","Nepali (Nepal)","Norwegian Bokmål (Norway)","Pashto (Afghanistan)","Persian (Iran)","Polish (Poland)","Portuguese (Brazil)","Portuguese (Portugal)","Romanian (Romania)","Russian (Russia)","Serbian (Latin, Serbia)","Sinhala (Sri Lanka)","Slovak (Slovakia)","Slovenian (Slovenia)","Somali (Somalia)","Spanish (Argentina)","Spanish (Bolivia)","Spanish (Chile)","Spanish (Colombia)","Spanish (Costa Rica)","Spanish (Cuba)","Spanish (Dominican Republic)","Spanish (Ecuador)","Spanish (El Salvador)","Spanish (Equatorial Guinea)","Spanish (Guatemala)","Spanish (Honduras)","Spanish (Mexico)","Spanish (Nicaragua)","Spanish (Panama)","Spanish (Paraguay)","Spanish (Peru)","Spanish (Puerto Rico)","Spanish (Spain)","Spanish (United States)","Spanish (Uruguay)","Spanish (Venezuela)","Sundanese (Indonesia)","Swahili (Kenya)","Swahili (Tanzania)","Swedish (Sweden)","Tamil (India)","Tamil (Malaysia)","Tamil (Singapore)","Tamil (Sri Lanka)","Telugu (India)","Thai (Thailand)","Turkish (Türkiye)","Ukrainian (Ukraine)","Urdu (India)","Urdu (Pakistan)","Uzbek (Latin, Uzbekistan)","Vietnamese (Vietnam)","Welsh (United Kingdom)","Zulu (South Africa)","English - Your Accent","English - American Accent"],"type":"string"},"srt_role":{"title":"Srt Role","description":"Whether the custom SRT applies to the source or translated video.","anyOf":[{"enum":["input","output"],"type":"string"},{"type":"null"}]},"video_url":{"examples":["https://v3b.fal.media/files/b/0a9004c7/FM7Q5tK2b59x66Bl8HC0Z_vt-lang-en.mp4"],"title":"Video Url","description":"URL of the video to translate. Maximum length is 8 minutes.","type":"string"},"enable_caption":{"default":false,"title":"Enable Caption","description":"Generate an SRT caption file alongside the translated video.","type":"boolean"}},"type":"object"},"HeygenV2TranslateSpeedOutput":{"required":["video"],"x-fal-order-properties":["video","caption_file"],"title":"VideoTranslateOutput","properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a900522/WZRPanS88KdyIhYfqP_Md_output.mp4"}],"description":"The translated video file","$ref":"#/components/schemas/File"},"caption_file":{"description":"Generated SRT captions when enable_caption is true.","anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}]}},"type":"object"},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object"}}},"paths":{"/fal-ai/heygen/v2/translate/speed/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/heygen/v2/translate/speed/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/heygen/v2/translate/speed":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HeygenV2TranslateSpeedInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/heygen/v2/translate/speed/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HeygenV2TranslateSpeedOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"sonilo/v1.1/video-to-video-music","metadata":{"display_name":"V1.1 Video to Video Music","category":"video-to-video","description":"Generates perfectly synced music for any video. Return a licensed music soundtrack ready for commercial use (optional preservation of the original speech in video)","status":"active","tags":["music","editing","restoration"],"updated_at":"2026-10-18T16:21:04.180Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa31db6/9QPgZEb8A9cdW-BdmK1Ri.jpg","model_url":"https://fal.run/sonilo/v1.1/video-to-video-music","license_type":"commercial","date":"2026-07-21T08:10:22.171Z","group":{"key":"sonilo-v11","label":"Video to Video (music)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for sonilo/v1.1/video-to-video-music","version":"1.0.0","description":"The OpenAPI schema for the sonilo/v1.1/video-to-video-music queue.","x-fal-metadata":{"endpointId":"sonilo/v1.1/video-to-video-music","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa31db6/9QPgZEb8A9cdW-BdmK1Ri.jpg","playgroundUrl":"https://fal.ai/models/sonilo/v1.1/video-to-video-music","documentationUrl":"https://fal.ai/models/sonilo/v1.1/video-to-video-music/api","about":"Video To Video Music"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"V11VideoToVideoMusicInput":{"properties":{"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt","description":"Optional text prompt steering the musical style. If omitted, a prompt is generated automatically from the video."},"duration":{"anyOf":[{"minimum":1,"maximum":600,"type":"number"},{"type":"null"}],"title":"Duration","description":"Optional. Length (seconds) of the video segment to score. When set, scores a segment of this length starting at Start Offset (or from the beginning if Start Offset is unset). Defaults (None) to the rest of the video."},"start_offset":{"anyOf":[{"minimum":0,"maximum":600,"type":"number"},{"type":"null"}],"title":"Start Offset","description":"Optional. Start scoring from this offset (seconds) into the video. Requires Start Offset + Duration <= Video Duration."},"prompt_influence":{"default":0.5,"title":"Prompt Influence","minimum":0,"description":"Turn it up to match the text prompt","maximum":1,"type":"number"},"video_url":{"title":"Video Url","examples":["https://v3b.fal.media/files/b/0a9ddd00/2QssaYyFxstvVlmIraSns_Sonilo_Demo_Original_1.mp4"],"description":"Public http(s) URL of the source video to score.","type":"string"},"keep_speech_vocal":{"default":false,"title":"Keep Speech Vocal","description":"Keep the original video's speech/vocals. When on, the source audio is separated (music source separation), and only the isolated vocals are blended over the generated music with automatic ducking (the music dips under speech). When off (default), the original soundtrack is dropped and the video carries only the generated music.","type":"boolean"},"num_samples":{"default":1,"title":"Num Samples","minimum":1,"description":"How many distinct scored videos to generate.","maximum":3,"type":"integer"}},"required":["video_url"],"title":"VideoToVideoInput","x-fal-order-properties":["video_url","keep_speech_vocal","num_samples","prompt","prompt_influence","start_offset","duration"],"type":"object"},"V11VideoToVideoMusicOutput":{"properties":{"video":{"$ref":"#/components/schemas/Video","description":"The first scored video (source video muxed with generated music)."},"videos":{"title":"Videos","description":"All scored videos (mp4), one per sample.","items":{"$ref":"#/components/schemas/Video"},"type":"array"}},"required":["video","videos"],"title":"VideoToVideoOutput","x-fal-order-properties":["video","videos"],"type":"object"},"Video":{"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"required":["url"],"title":"Video","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/sonilo/v1.1/video-to-video-music/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/sonilo/v1.1/video-to-video-music/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/sonilo/v1.1/video-to-video-music":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V11VideoToVideoMusicInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/sonilo/v1.1/video-to-video-music/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V11VideoToVideoMusicOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/heygen/v2/translate/precision","metadata":{"display_name":"Heygen","category":"video-to-video","description":"Heygen Translate Model with Extreme Precision","status":"active","tags":["video-to-video"],"updated_at":"2026-04-26T23:11:58.879Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a901470/P3xLjDZMP1Cg2hVMd_AMw_b865f82e42474449b5ca950e007506a3.jpg","model_url":"https://fal.run/fal-ai/heygen/v2/translate/precision","license_type":"commercial","date":"2026-02-23T18:38:58.297Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/heygen/v2/translate/precision","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/heygen/v2/translate/precision queue.","x-fal-metadata":{"endpointId":"fal-ai/heygen/v2/translate/precision","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a901470/P3xLjDZMP1Cg2hVMd_AMw_b865f82e42474449b5ca950e007506a3.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/heygen/v2/translate/precision","documentationUrl":"https://fal.ai/models/fal-ai/heygen/v2/translate/precision/api","about":"Translate videos using HeyGen's Precision mode (formerly Quality).\n\nHigher quality with better lip-sync. Billed per second of output video ($0.1000/s)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"HeygenV2TranslatePrecisionInput":{"required":["video_url","output_language"],"x-fal-order-properties":["video_url","output_language","translate_audio_only","speaker_num","enable_dynamic_duration","brand_glossary_id","srt_url","srt_role","enable_caption"],"title":"TranslateVideoBaseRequest","description":"Base request for video translation without a mode field (mode is determined by the endpoint).","properties":{"speaker_num":{"title":"Speaker Num","description":"Number of speakers in the video","anyOf":[{"type":"integer"},{"type":"null"}]},"translate_audio_only":{"default":false,"title":"Translate Audio Only","description":"Translate only the audio, ignore the faces and only translate the voice track","anyOf":[{"type":"boolean"},{"type":"null"}]},"srt_url":{"title":"Srt Url","description":"Optional URL of a custom SRT subtitle file.","anyOf":[{"type":"string"},{"type":"null"}]},"brand_glossary_id":{"title":"Brand Glossary Id","description":"HeyGen brand glossary ID for custom term translations.","anyOf":[{"type":"string"},{"type":"null"}]},"enable_dynamic_duration":{"default":true,"title":"Enable Dynamic Duration","description":"Enable dynamic duration to enhance conversational fluidity between languages with different speaking rates","anyOf":[{"type":"boolean"},{"type":"null"}]},"output_language":{"examples":["Spanish"],"title":"Output Language","description":"The target language to translate the video into","enum":["English","Spanish","French","Hindi","Italian","German","Polish","Portuguese","Chinese","Japanese","Dutch","Turkish","Korean","Danish","Arabic","Romanian","Mandarin","Filipino","Swedish","Indonesian","Ukrainian","Greek","Czech","Bulgarian","Malay","Slovak","Croatian","Tamil","Finnish","Russian","Afrikaans (South Africa)","Albanian (Albania)","Amharic (Ethiopia)","Arabic (Algeria)","Arabic (Bahrain)","Arabic (Egypt)","Arabic (Iraq)","Arabic (Jordan)","Arabic (Kuwait)","Arabic (Lebanon)","Arabic (Libya)","Arabic (Morocco)","Arabic (Oman)","Arabic (Qatar)","Arabic (Saudi Arabia)","Arabic (Syria)","Arabic (Tunisia)","Arabic (United Arab Emirates)","Arabic (Yemen)","Armenian (Armenia)","Azerbaijani (Latin, Azerbaijan)","Bangla (Bangladesh)","Basque","Bengali (India)","Bosnian (Bosnia and Herzegovina)","Bulgarian (Bulgaria)","Burmese (Myanmar)","Catalan","Chinese (Cantonese, Traditional)","Chinese (Jilu Mandarin, Simplified)","Chinese (Mandarin, Simplified)","Chinese (Northeastern Mandarin, Simplified)","Chinese (Southwestern Mandarin, Simplified)","Chinese (Taiwanese Mandarin, Traditional)","Chinese (Wu, Simplified)","Chinese (Zhongyuan Mandarin Henan, Simplified)","Chinese (Zhongyuan Mandarin Shaanxi, Simplified)","Croatian (Croatia)","Czech (Czechia)","Danish (Denmark)","Dutch (Belgium)","Dutch (Netherlands)","English (Australia)","English (Canada)","English (Hong Kong SAR)","English (India)","English (Ireland)","English (Kenya)","English (New Zealand)","English (Nigeria)","English (Philippines)","English (Singapore)","English (South Africa)","English (Tanzania)","English (UK)","English (United States)","Estonian (Estonia)","Filipino (Philippines)","Finnish (Finland)","French (Belgium)","French (Canada)","French (France)","French (Switzerland)","Galician","Georgian (Georgia)","German (Austria)","German (Germany)","German (Switzerland)","Greek (Greece)","Gujarati (India)","Hebrew (Israel)","Hindi (India)","Hungarian (Hungary)","Icelandic (Iceland)","Indonesian (Indonesia)","Irish (Ireland)","Italian (Italy)","Japanese (Japan)","Javanese (Latin, Indonesia)","Kannada (India)","Kazakh (Kazakhstan)","Khmer (Cambodia)","Korean (Korea)","Lao (Laos)","Latvian (Latvia)","Lithuanian (Lithuania)","Macedonian (North Macedonia)","Malay (Malaysia)","Malayalam (India)","Maltese (Malta)","Marathi (India)","Mongolian (Mongolia)","Nepali (Nepal)","Norwegian Bokmål (Norway)","Pashto (Afghanistan)","Persian (Iran)","Polish (Poland)","Portuguese (Brazil)","Portuguese (Portugal)","Romanian (Romania)","Russian (Russia)","Serbian (Latin, Serbia)","Sinhala (Sri Lanka)","Slovak (Slovakia)","Slovenian (Slovenia)","Somali (Somalia)","Spanish (Argentina)","Spanish (Bolivia)","Spanish (Chile)","Spanish (Colombia)","Spanish (Costa Rica)","Spanish (Cuba)","Spanish (Dominican Republic)","Spanish (Ecuador)","Spanish (El Salvador)","Spanish (Equatorial Guinea)","Spanish (Guatemala)","Spanish (Honduras)","Spanish (Mexico)","Spanish (Nicaragua)","Spanish (Panama)","Spanish (Paraguay)","Spanish (Peru)","Spanish (Puerto Rico)","Spanish (Spain)","Spanish (United States)","Spanish (Uruguay)","Spanish (Venezuela)","Sundanese (Indonesia)","Swahili (Kenya)","Swahili (Tanzania)","Swedish (Sweden)","Tamil (India)","Tamil (Malaysia)","Tamil (Singapore)","Tamil (Sri Lanka)","Telugu (India)","Thai (Thailand)","Turkish (Türkiye)","Ukrainian (Ukraine)","Urdu (India)","Urdu (Pakistan)","Uzbek (Latin, Uzbekistan)","Vietnamese (Vietnam)","Welsh (United Kingdom)","Zulu (South Africa)","English - Your Accent","English - American Accent"],"type":"string"},"srt_role":{"title":"Srt Role","description":"Whether the custom SRT applies to the source or translated video.","anyOf":[{"enum":["input","output"],"type":"string"},{"type":"null"}]},"video_url":{"examples":["https://v3b.fal.media/files/b/0a9004c7/FM7Q5tK2b59x66Bl8HC0Z_vt-lang-en.mp4"],"title":"Video Url","description":"URL of the video to translate. Maximum length is 8 minutes.","type":"string"},"enable_caption":{"default":false,"title":"Enable Caption","description":"Generate an SRT caption file alongside the translated video.","type":"boolean"}},"type":"object"},"HeygenV2TranslatePrecisionOutput":{"required":["video"],"x-fal-order-properties":["video","caption_file"],"title":"VideoTranslateOutput","properties":{"video":{"examples":[{"url":"https://v3b.fal.media/files/b/0a900522/WZRPanS88KdyIhYfqP_Md_output.mp4"}],"description":"The translated video file","$ref":"#/components/schemas/File"},"caption_file":{"description":"Generated SRT captions when enable_caption is true.","anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}]}},"type":"object"},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"examples":[4404019],"title":"File Size","description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"title":"Content Type","description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]}},"type":"object"}}},"paths":{"/fal-ai/heygen/v2/translate/precision/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/heygen/v2/translate/precision/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/heygen/v2/translate/precision":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HeygenV2TranslatePrecisionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/heygen/v2/translate/precision/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HeygenV2TranslatePrecisionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"bria/bria_video_eraser/erase/mask","metadata":{"display_name":"Bria Video Eraser Erase Mask","category":"video-to-video","description":"A high-fidelity capability for erasing unwanted objects, people, or visual elements from videos while maintaining aesthetic quality and temporal consistency.","status":"active","tags":["bria","erase"],"updated_at":"2026-01-26T21:41:51.430Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a875792/fiFX5LR2jtecUmE7yLyY8_340c579c0b1e408ab0d7920d3a2d3e32.jpg","model_url":"https://fal.run/bria/bria_video_eraser/erase/mask","license_type":"commercial","date":"2025-12-17T16:58:00.177Z","group":{"key":"bria-video-eraser","label":"Mask"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for bria/bria_video_eraser/erase/mask","version":"1.0.0","description":"The OpenAPI schema for the bria/bria_video_eraser/erase/mask queue.","x-fal-metadata":{"endpointId":"bria/bria_video_eraser/erase/mask","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a875792/fiFX5LR2jtecUmE7yLyY8_340c579c0b1e408ab0d7920d3a2d3e32.jpg","playgroundUrl":"https://fal.ai/models/bria/bria_video_eraser/erase/mask","documentationUrl":"https://fal.ai/models/bria/bria_video_eraser/erase/mask/api","about":"Erase By Mask"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Bria_video_eraserEraseMaskInput":{"title":"EraseInputModel","properties":{"video_url":{"title":"Video Url","type":"string","description":"Input video to erase object from. duration must be less than 5s.","examples":["https://bria-test-images.s3.us-east-1.amazonaws.com/videos/eraser/video1_video.mp4"]},"mask_video_url":{"title":"Mask Video Url","type":"string","description":"Input video to mask erase object from. duration must be less than 5s.","examples":["https://bria-test-images.s3.us-east-1.amazonaws.com/videos/eraser/video1_mask.mp4"]},"auto_trim":{"title":"Auto Trim","type":"boolean","default":true,"description":"auto trim the video, to working duration ( 5s )"},"preserve_audio":{"title":"Preserve Audio","type":"boolean","default":true,"description":"If true, audio will be preserved in the output video."},"output_container_and_codec":{"title":"Output Container And Codec","type":"string","default":"mp4_h264","enum":["mp4_h265","mp4_h264","webm_vp9","gif","mov_h264","mov_h265","mov_proresks","mkv_h264","mkv_h265","mkv_vp9","mkv_mpeg4"],"description":"Output container and codec. Options: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4."}},"required":["video_url","mask_video_url"],"type":"object","x-fal-order-properties":["output_container_and_codec","auto_trim","preserve_audio","video_url","mask_video_url"]},"Bria_video_eraserEraseMaskOutput":{"title":"VideoOutput","properties":{"video":{"title":"Video","anyOf":[{"$ref":"#/components/schemas/Video"},{"$ref":"#/components/schemas/File"}],"description":"Final video."}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"Video":{"title":"Video","properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]},"File":{"title":"File","properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/bria/bria_video_eraser/erase/mask/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bria/bria_video_eraser/erase/mask/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/bria/bria_video_eraser/erase/mask":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bria_video_eraserEraseMaskInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bria/bria_video_eraser/erase/mask/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bria_video_eraserEraseMaskOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/o3/4k/video-to-video/edit","metadata":{"display_name":"Kling Video 4K Video to Video Edit","category":"video-to-video","description":"Kling's Native 4K is a video generation model that directly outputs professional-grade 4K video in one step, eliminating the need for post-production upscaling","status":"active","tags":["utility","editing"],"updated_at":"2026-09-01T21:51:13.659Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa893a9/eLWq7JbRo5RQy4b5oHBCB.jpg","model_url":"https://fal.run/fal-ai/kling-video/o3/4k/video-to-video/edit","license_type":"commercial","date":"2026-08-31T18:17:21.978Z","group":{"key":"kling-o3","label":"Video to Video Edit 4K"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/o3/4k/video-to-video/edit","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/o3/4k/video-to-video/edit queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/o3/4k/video-to-video/edit","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa893a9/eLWq7JbRo5RQy4b5oHBCB.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/o3/4k/video-to-video/edit","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/o3/4k/video-to-video/edit/api","about":"O3 4K Video To Video Edit"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoO34kVideoToVideoEditInput":{"properties":{"image_urls":{"description":"Reference images for style/appearance. Reference in prompt as @Image1, @Image2, etc. Maximum 4 total (elements + reference images) when using video.","title":"Image Urls","examples":[["https://storage.googleapis.com/falserverless/example_inputs/kling-o3/pro-v2v-edit/image_url1.jpg"]],"anyOf":[{"type":"array","items":{"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5},"ui":{"field":"image"}}},{"type":"null"}]},"prompt":{"maxLength":2500,"description":"Text prompt for video generation. Reference video as @Video1.","title":"Prompt","examples":["Change environment to be fully snow as @Image1. Replace animal with @Element1"],"type":"string"},"video_url":{"description":"Reference video URL. Only .mp4/.mov formats, 3-15s duration, 720-3840px resolution, max 200MB.","title":"Video Url","limit_description":"Max file size: 200.0MB, Min width: 720px, Min height: 720px, Max width: 3840px, Max height: 3840px, Min duration: 3.0s, Max duration: 15.05s, Min FPS: 23.0, Max FPS: 60.0, Timeout: 30.0s","examples":["https://storage.googleapis.com/falserverless/example_inputs/kling-o3/pro-v2v-edit/video_reference.mp4"],"type":"string","_fal_ui_field":"video","x-fal":{"max_height":3840,"min_width":720,"min_fps":23,"timeout":30,"max_fps":60,"max_width":3840,"max_file_size":209715200,"max_duration":15.05,"min_height":720,"min_duration":3}},"shot_type":{"description":"The type of multi-shot video generation.","const":"customize","title":"Shot Type","default":"customize","type":"string"},"keep_audio":{"description":"Whether to keep the original audio from the reference video. ","title":"Keep Audio","type":"boolean","default":true},"elements":{"description":"Elements (characters/objects) to include. Reference in prompt as @Element1, @Element2.","title":"Elements","examples":[[{"frontal_image_url":"https://storage.googleapis.com/falserverless/example_inputs/kling-o3/pro-v2v-edit/element1_front.png","reference_image_urls":["https://storage.googleapis.com/falserverless/example_inputs/kling-o3/pro-v2v-edit/element1_reference1.png"]}]],"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/KlingV3ImageElementInput"}},{"type":"null"}]},"enable_safety_checker":{"description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true}},"description":"Input for O3 4K video editing.","title":"O3_4kEditVideoV2VInput","required":["prompt","video_url"],"x-fal-order-properties":["enable_safety_checker","prompt","video_url","image_urls","keep_audio","elements","shot_type"],"type":"object"},"KlingVideoO34kVideoToVideoEditOutput":{"properties":{"video":{"description":"The generated video.","examples":[{"file_size":4322769,"file_name":"output.mp4","content_type":"video/mp4","url":"https://storage.googleapis.com/falserverless/example_outputs/kling-o3/pro-v2v-edit/output.mp4"}],"$ref":"#/components/schemas/File"}},"description":"Output for the O3 4K video-edit endpoint.","title":"O3_4kEditV2VOutput","required":["video"],"x-fal-order-properties":["video"],"type":"object"},"KlingV3ImageElementInput":{"properties":{"frontal_image_url":{"description":"The frontal image of the element (main view).","title":"Frontal Image Url","anyOf":[{"x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5},"limit_description":"Max file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","type":"string","ui":{"field":"image"}},{"type":"null"}]},"reference_image_urls":{"description":"Additional reference images from different angles. 1-3 images supported. At least one image is required.","title":"Reference Image Urls","anyOf":[{"type":"array","items":{"_fal_ui_field":"image","type":"string","limit_description":"Max file size: 50.0MB, Min width: 300px, Min height: 300px, Min aspect ratio: 0.40, Max aspect ratio: 2.50, Timeout: 20.0s","x-fal":{"max_file_size":52428800,"min_aspect_ratio":0.4,"min_height":300,"timeout":20,"min_width":300,"max_aspect_ratio":2.5},"ui":{"field":"image"}}},{"type":"null"}]}},"title":"KlingV3ImageElementInput","type":"object","x-fal-order-properties":["frontal_image_url","reference_image_urls"]},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/kling-video/o3/4k/video-to-video/edit/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o3/4k/video-to-video/edit/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/o3/4k/video-to-video/edit":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO34kVideoToVideoEditInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/o3/4k/video-to-video/edit/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoO34kVideoToVideoEditOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v6/extend","metadata":{"display_name":"PixVerse V6 Extend","category":"video-to-video","description":"Pixverse's latest v6 Model.","status":"active","tags":["video-to-video","extend"],"updated_at":"2026-10-20T22:56:34.317Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a94048b/du-U-EA4tSGw2eo5YnJnW_0ceb86d70db5420f9fd294d247f5f843.jpg","model_url":"https://fal.run/fal-ai/pixverse/v6/extend","license_type":"commercial","date":"2026-03-29T11:11:49.660Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v6/extend","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v6/extend queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v6/extend","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a94048b/du-U-EA4tSGw2eo5YnJnW_0ceb86d70db5420f9fd294d247f5f843.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v6/extend","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v6/extend/api","about":"Extend a video by generating new content based on its ending."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV6ExtendInput":{"type":"object","x-fal-order-properties":["video_url","prompt","negative_prompt","style","resolution","duration","seed","generate_audio_switch"],"title":"ExtendRequestV6","required":["video_url","prompt"],"properties":{"prompt":{"examples":["A kid is talking into camera"],"type":"string","description":"Prompt describing how to extend the video. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the extended video","title":"Style"},"negative_prompt":{"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"maximum":15,"type":"integer","default":5,"description":"The duration of the generated video in seconds. v6 supports values from 1 to 15 seconds","minimum":1,"title":"Duration"},"video_url":{"examples":["https://v3.fal.media/files/rabbit/88-jI3VWXU4Q8kSNrWo3c_output.mp4"],"type":"string","description":"URL of the input video to extend","title":"Video Url"},"generate_audio_switch":{"type":"boolean","default":false,"description":"Enable audio generation (BGM, SFX, dialogue).","title":"Generate Audio Switch"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p","1080p"],"title":"Resolution"}}},"PixverseV6ExtendOutput":{"type":"object","x-fal-order-properties":["video"],"title":"ExtendOutput","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":1163040,"url":"https://v3.fal.media/files/rabbit/88-jI3VWXU4Q8kSNrWo3c_output.mp4","content_type":"video/mp4"}],"description":"The extended video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v6/extend/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v6/extend/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v6/extend":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV6ExtendInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v6/extend/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV6ExtendOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTE","has_more":true}
